diff -ruN linux-2.0.35/arch/i386/kernel/ioport.c linux-2.0.35.patched/arch/i386/kernel/ioport.c
--- linux-2.0.35/arch/i386/kernel/ioport.c	Wed Jun  3 15:17:46 1998
+++ linux-2.0.35.patched/arch/i386/kernel/ioport.c	Fri Jul 17 19:41:04 1998
@@ -12,11 +12,11 @@
 #include <linux/ioport.h>
 
 /* Set EXTENT bits starting at BASE in BITMAP to value TURN_ON. */
-static void set_bitmap(unsigned long *bitmap, short base, short extent, int new_value)
+static void set_bitmap(unsigned long *bitmap, int base, int extent, int new_value)
 {
 	int mask;
 	unsigned long *bitmap_base = bitmap + (base >> 5);
-	unsigned short low_index = base & 0x1f;
+	unsigned int low_index = base & 0x1f;
 	int length = low_index + extent;
 
 	if (low_index != 0) {
diff -ruN linux-2.0.35/include/asm-i386/processor.h linux-2.0.35.patched/include/asm-i386/processor.h
--- linux-2.0.35/include/asm-i386/processor.h	Fri Jul 17 14:55:49 1998
+++ linux-2.0.35.patched/include/asm-i386/processor.h	Fri Jul 17 19:42:02 1998
@@ -44,9 +44,9 @@
 #define MMAP_SEARCH_START (TASK_SIZE/3)
 
 /*
- * Size of io_bitmap in longwords: 32 is ports 0-0x3ff.
+ * Size of io_bitmap in longwords: 2048 is ports 0-0xFFFF.
  */
-#define IO_BITMAP_SIZE	32
+#define IO_BITMAP_SIZE	2048
 
 struct i387_hard_struct {
 	long	cwd;
diff -ruN linux-2.0.35/include/asm-i386/system.h linux-2.0.35.patched/include/asm-i386/system.h
--- linux-2.0.35/include/asm-i386/system.h	Mon Dec 15 18:37:28 1997
+++ linux-2.0.35.patched/include/asm-i386/system.h	Fri Jul 17 19:42:10 1998
@@ -279,7 +279,10 @@
 	 "m" (*(n+5)), "m" (*(n+6)), "m" (*(n+7)) \
 	)
 
-#define set_tss_desc(n,addr) _set_tssldt_desc(((char *) (n)),((int)(addr)),235,"0x89")
+#define _set_tss_desc(n,addr,sz) \
+        _set_tssldt_desc(((char *) (n)),((int)(addr)),107+sz*4,"0x89")
+#define set_tss_desc(n,addr) \
+        _set_tss_desc(n,addr,IO_BITMAP_SIZE)
 #define set_ldt_desc(n,addr,size) \
 	_set_tssldt_desc(((char *) (n)),((int)(addr)),((size << 3) - 1),"0x82")
 
Binary files linux-2.0.35/scripts/lxdialog/lxdialog and linux-2.0.35.patched/scripts/lxdialog/lxdialog differ
Binary files linux-2.0.35/scripts/mkdep and linux-2.0.35.patched/scripts/mkdep differ
